%global srcname epub
%global commit0 d6db4535273d3ad2193dcb6fe090f90a1d3a3b78
%global shortcommit0 %(c=%{commit0}; echo ${c:0:12})
%global hgtag0 0.5.2

Name:           python-%{srcname}
Version:        %{hgtag0}
Release:        3%{?dist}
Summary:        Python library for reading EPUB files

License:        LGPLv3+
URL:            http://epub.exirel.me
Source0:        https://bitbucket.org/exirel/%{srcname}/get/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
# This patch adds a test suite to the setup() call
Patch0:         %{name}-test-suite.patch

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools python3-setuptools
BuildRequires:  python-sphinx

%description
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

%package -n python2-%{srcname}
Summary:        Python library for reading EPUB files
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

%package -n python3-%{srcname}
Summary:        Python library for reading EPUB files
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

%package doc
Summary:        Documentation for %{name}

%description doc
This package contains the documentation for %{name}.

%prep
%autosetup -n exirel-%{srcname}-%{shortcommit0}
touch test/__init__.py

%build
%py2_build
%py3_build

%make_build -C docs html
rm -rf docs/_build/html/.buildinfo

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/*

%files doc
%doc docs/_build/html

%changelog
* Tue Feb 23 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-3
- Change source code URL
- Add setup.py patch
- Add %%check section
- Move HTML documentation to doc subpackage

* Mon Feb 22 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-2
- Create python2 subpackage
- Add HTML documentation

* Sat Jan 16 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-1
- Initial RPM release
